unit CR.Main.Form;

interface

uses
  System.Classes, System.Messaging,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtDlgs, Vcl.StdCtrls,
  CR.Messaging.Dialogs;

type
  TMainForm = class(TForm)
    edtText: TMemo;
    btnLoad: TButton;
    btnSave: TButton;
    dlgOpen: TOpenTextFileDialog;
    dlgSave: TSaveTextFileDialog;
    dspLog: TMemo;
    procedure btnLoadClick(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
  private
    FDlgMessageHandler: TDlgMessageHandler;
    FLogMessageHandler: TDlgMessageHandler;
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    property DlgMessageHandler: TDlgMessageHandler read FDlgMessageHandler;
    property LogMessageHandler: TDlgMessageHandler read FLogMessageHandler;
  end;

var
  MainForm: TMainForm;

implementation

uses
  System.UITypes,
  CR.Utilities, CR.Messaging.Dialogs.vcl;

{$R *.dfm}

constructor TMainForm.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FDlgMessageHandler := TDlgMessageHandlerVcl.Create();
  FLogMessageHandler := TDlgMessageHandlerLog.Create(dspLog.Lines);
end;

destructor TMainForm.Destroy;
begin
  FLogMessageHandler.Free;
  FDlgMessageHandler.Free;
  inherited Destroy;
end;

procedure TMainForm.btnLoadClick(Sender: TObject);
begin
  if dlgOpen.Execute then
    LoadStrings(dlgOpen.FileName, edtText.Lines);
end;

procedure TMainForm.btnSaveClick(Sender: TObject);
begin
  if dlgSave.Execute then
    SaveStrings(dlgSave.FileName, edtText.Lines);
end;

end.
