unit CR.Messaging.Dialogs.vcl;

interface

uses
  System.Messaging,
  CR.Messaging.Dialogs;

type
  TDlgMessageHandlerVcl = class(TDlgMessageHandler)
  strict protected
    procedure DlgMessageConfirm(const Sender: TObject; const M: TMessage); override;
    procedure DlgMessageError(const Sender: TObject; const M: TMessage); override;
  end;

implementation

uses
  System.UITypes,
  Vcl.Dialogs,
  CR.Messaging;

procedure TDlgMessageHandlerVcl.DlgMessageConfirm(const Sender: TObject; const M: TMessage);
var
  msg: TDlgMessageConfirm;
begin
  msg := M as TDlgMessageConfirm;
  msg.Confirmed := MessageDlg(msg.Value, mtConfirmation, [mbYes, mbNo], 0) = mrYes;
end;

procedure TDlgMessageHandlerVcl.DlgMessageError(const Sender: TObject; const M: TMessage);
var
  msg: TDlgMessageError;
begin
  msg := M as TDlgMessageError;
  MessageDlg(msg.Value, mtError, [mbOK], 0)
end;

end.
